Skip to main content
GET
/
skills
/
{namespace}
/
{slug}
JavaScript
import Smithery from '@smithery/api';

const client = new Smithery({
  apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});

const skill = await client.skills.get('slug', { namespace: 'namespace' });

console.log(skill.id);
{
  "id": "<string>",
  "namespace": "<string>",
  "slug": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "prompt": "<string>",
  "qualityScore": 123,
  "externalStars": 123,
  "externalForks": 123,
  "totalActivations": 123,
  "uniqueUsers": 123,
  "categories": [
    "<string>"
  ],
  "servers": [
    "<string>"
  ],
  "gitUrl": "<string>",
  "verified": true,
  "listed": true,
  "owner": "<string>",
  "createdAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

namespace
string
required
slug
string
required

Response

Skill found

id
string
required
namespace
string
required
slug
string
required
displayName
string
required
description
string
required
prompt
string
required
qualityScore
number
required
externalStars
number
required
externalForks
number
required
totalActivations
number
required
uniqueUsers
number
required
categories
string[]
required
servers
string[]
required
gitUrl
string | null
required
verified
boolean
required

Whether this skill's namespace is verified.

listed
boolean
required
owner
string | null
required

Organization ID of the skill owner (from namespace)

createdAt
string
required